.deploy-webapp:
  script: |    
    if [[ $CI_COMMIT_BRANCH = "main" ]]
    then
      DYNAMIC_ENVIRONMENT_URL="${CI_PAGES_URL}"
      cp ${WEBSITE_LOCATION}/index.wasm public/index.wasm
      cp ${WEBSITE_LOCATION}/wasm_exec.js public/wasm_exec.js
      cp ${WEBSITE_LOCATION}/index.html public/index.html

    else
      DYNAMIC_ENVIRONMENT_URL="${CI_PAGES_URL}/$CI_COMMIT_REF_NAME/index.html"

      # ---------------------------------------------------------
      # Restore the main version
      # ---------------------------------------------------------

      wget --header="JOB-TOKEN: $CI_JOB_TOKEN" ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/saved/0.0.0/main.tar.gz -P public

      cd public
      tar -xvzf main.tar.gz
      rm main.tar.gz
      cd ..

      mkdir public/$CI_COMMIT_REF_NAME
      cp ${WEBSITE_LOCATION}/index.wasm public/$CI_COMMIT_REF_NAME/index.wasm
      cp ${WEBSITE_LOCATION}/wasm_exec.js public/$CI_COMMIT_REF_NAME/wasm_exec.js
      cp ${WEBSITE_LOCATION}/index.html public/$CI_COMMIT_REF_NAME/index.html

    fi
    echo "DYNAMIC_ENVIRONMENT_URL=$DYNAMIC_ENVIRONMENT_URL" >> deploy.env

    # for dast
    echo "$DYNAMIC_ENVIRONMENT_URL" > environment_url.txt

    
  artifacts:
    reports:
      dotenv: deploy.env      
    paths:
      - ${WEBSITE_LOCATION}
      - public
      # for dast
      - environment_url.txt
